Bug Hunting Session
Bug 92695 - UI: certain sequence of clicks on "Basic Shapes" crashes LO.
Summary: UI: certain sequence of clicks on "Basic Shapes" crashes LO.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-12 18:42 UTC by George Bateman
Modified: 2016-10-25 18:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Dependancy versions (4.45 KB, message/rfc822)
2015-07-12 18:42 UTC, George Bateman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George Bateman 2015-07-12 18:42:15 UTC
Created attachment 117192 [details]
Dependancy versions

Basic Shapes is a button in the Standard toolbar with a down arrow by it. If I click that, a menu appears, which can be dragged to make a new floating toolbar. So far OK. If I click the down arrow in its title bar, then the text "No selection possible" in the menu that appears, then the down arrow again (sorry it's so convoluted!), Writer crashes. This is repeatable.

I'm using the Debian package version, with Gnome 3. Attached is the reportbug package version info for dependencies.
Comment 1 Buovjaga 2015-07-29 16:08:02 UTC
Crashes on Linux, but not Windows.

Does not crash on 5.1, though.

Win 7 Pro 64-bit, Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: fi_FI

Ubuntu 15.04 64-bit 
Version: 4.4.4.3
Build ID: 40m0(Build:3)
Locale: en_US.UTF-8

Version: 5.1.0.0.alpha1+
Build ID: 0bd582834b46dbbc5037310d45bac8885e6f2a07
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-07-14_01:14:35
Locale: en-US (en_US.UTF-8)
Comment 2 Commit Notification 2016-05-31 09:27:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba4e50c856e5279c05b90297660b396868a6d815

Related: tdf#92695 gtk3 only activate/deactive submenus, not the toplevel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-05-31 09:27:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c380f0fc125f50ad8efca2ce032d3d2a67d78f0a

Related: tdf#92695 we already have ImplGetItem from mnHighItemId here

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-31 09:27:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab0dc9524a36a394e97df9499bf1f5e4b94cfdca

Resolves: tdf#92695 protect both branches against missing ToolItem

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-31 09:32:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbf99bb2e092ec5dca6b405e15c507f66ad0bc6d&h=libreoffice-5-2

Related: tdf#92695 gtk3 only activate/deactive submenus, not the toplevel

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-05-31 09:32:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df668868917d1dac11d49f1f650c43666fadea54&h=libreoffice-5-2

Related: tdf#92695 we already have ImplGetItem from mnHighItemId here

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-05-31 09:32:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c845c7bf597caa11b1617ab71029c499819028bc&h=libreoffice-5-2

Resolves: tdf#92695 protect both branches against missing ToolItem

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-05-31 13:18:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2e34339c8d91aeddb3dcc458a2a959caef36aec&h=libreoffice-5-1

Resolves: tdf#92695 protect both branches against missing ToolItem

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.